Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jp.sbi.celldesigner.plugin
Class PluginModification

    java.lang.Object
      jp.sbi.celldesigner.plugin.PluginSBase
          jp.sbi.celldesigner.plugin.PluginModification

    public class PluginModification

extends PluginSBase

     ProteinModification
     An instance represents <modification> tag.

Field Summary
`static java.lang.String` | `STATE_ACETYLATED` for state field
`static java.lang.String` | `STATE_DONT_CARE` for state field
`static java.lang.String` | `STATE_EMPTY` for state field
`static java.lang.String` | `STATE_GLYCOSYLATED` stateフィールド用の定数
`static java.lang.String` | `STATE_HISTON1` for state field
`static java.lang.String` | `STATE_HISTON2` for state field
`static java.lang.String` | `STATE_HYDROXYLATED` for state field
`static java.lang.String` | `STATE_METHYLATED` for state field
`static java.lang.String` | `STATE_MYRISTOYLATED` stateフィールド用の定数
`static java.lang.String` | `STATE_PALMYTOYLATED` stateフィールド用の定数
`static java.lang.String` | `STATE_PHOSPHORYLATED` for state field
`static java.lang.String` | `STATE_PRENYLATED` stateフィールド用の定数
`static java.lang.String` | `STATE_PROTONATED` stateフィールド用の定数
`static java.lang.String` | `STATE_SULFATED` stateフィールド用の定数
`static java.lang.String` | `STATE_UBIQUITINATED` for state field
`static java.lang.String` | `STATE_UNKNOWN` for state field

Fields inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`sbase`

Constructor Summary
`PluginModification()` Constructor
`PluginModification(java.lang.String residue)` Constructor
`PluginModification(java.lang.String residue, java.lang.String state)` Constructor

Method Summary
`protected void` | `clone(jp.sbi.celldesigner.sbmlExtension.Modification modification)` Clones this PluginModification
`boolean` | `equals(PluginModification target)` Compares the given PluginModification to this PluginModification
`java.lang.String` | `getLabel()` Gets the text of label for the state
`java.lang.String` | `getResidue()`
`java.lang.String` | `getState()`
`void` | `setResidue(java.lang.String residue)` Sets the id of residue of this PluginModification.
`void` | `setState(java.lang.String state)` Sets the state of this PluginModification to the given string.

Methods inherited from class jp.sbi.celldesigner.plugin.PluginSBase
`addCVTerm, ChangeCVTermToMiriamDefinition, getAnnotation, getAnnotationString, getCVTerm, getNotes, getNotesString, getNumCVTerms, getParentSBase, getRelationFromCVTerm, setAnnotation, setAnnotationString, setCVTerm, setNotes, setNotes, setParentSBase, toSBML`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### STATE_PHOSPHORYLATED

    public static final java.lang.String STATE_PHOSPHORYLATED

  for state field

  See Also:
    Constant Field Values

### STATE_ACETYLATED

    public static final java.lang.String STATE_ACETYLATED

  for state field

  See Also:
    Constant Field Values

### STATE_UBIQUITINATED

    public static final java.lang.String STATE_UBIQUITINATED

  for state field

  See Also:
    Constant Field Values

### STATE_METHYLATED

    public static final java.lang.String STATE_METHYLATED

  for state field

  See Also:
    Constant Field Values

### STATE_HYDROXYLATED

    public static final java.lang.String STATE_HYDROXYLATED

  for state field

  See Also:
    Constant Field Values

### STATE_EMPTY

    public static final java.lang.String STATE_EMPTY

  for state field

  See Also:
    Constant Field Values

### STATE_DONT_CARE

    public static final java.lang.String STATE_DONT_CARE

  for state field

  See Also:
    Constant Field Values

### STATE_UNKNOWN

    public static final java.lang.String STATE_UNKNOWN

  for state field

  See Also:
    Constant Field Values

### STATE_GLYCOSYLATED

    public static final java.lang.String STATE_GLYCOSYLATED

  stateフィールド用の定数

  See Also:
    Constant Field Values

### STATE_MYRISTOYLATED

    public static final java.lang.String STATE_MYRISTOYLATED

  stateフィールド用の定数

  See Also:
    Constant Field Values

### STATE_PALMYTOYLATED

    public static final java.lang.String STATE_PALMYTOYLATED

  stateフィールド用の定数

  See Also:
    Constant Field Values

### STATE_PRENYLATED

    public static final java.lang.String STATE_PRENYLATED

  stateフィールド用の定数

  See Also:
    Constant Field Values

### STATE_PROTONATED

    public static final java.lang.String STATE_PROTONATED

  stateフィールド用の定数

  See Also:
    Constant Field Values

### STATE_SULFATED

    public static final java.lang.String STATE_SULFATED

  stateフィールド用の定数

  See Also:
    Constant Field Values

### STATE_HISTON1

    public static final java.lang.String STATE_HISTON1

  for state field

  See Also:
    Constant Field Values

### STATE_HISTON2

    public static final java.lang.String STATE_HISTON2

  for state field

  See Also:
    Constant Field Values

Constructor Detail

### PluginModification

    public PluginModification()

  Constructor

### PluginModification

    public PluginModification(java.lang.String residue)

  Constructor

  Parameters:
    `residue` - the id of PluginModificationResidue

### PluginModification

    public PluginModification(java.lang.String residue,
                              java.lang.String state)

  Constructor

  Parameters:
    `residue` - the id of PluginModificationResidue
    `state` - the type of state. state is the one of the following fields of this PluginModification: STATE_PHOSPHORYLATED, STATE_ACETYLATED, STATE_UBIQUITINATED, STATE_METHYLATED, STATE_HYDROXYLATED, STATE_EMPTY, STATE_DONT_CARE, STATE_UNKNOWN, STATE_HISTON1 and STATE_HISTON2

Method Detail

### clone

    protected void clone(jp.sbi.celldesigner.sbmlExtension.Modification modification)

  Clones this PluginModification

  Parameters:
    `modification` - Modification

### equals

    public boolean equals(PluginModification target)

  Compares the given PluginModification to this PluginModification

  Parameters:
    `target` - PluginModification
  Returns:
    true if two PluginModification are same, false otherwise.

### setResidue

    public void setResidue(java.lang.String residue)

  Sets the id of residue of this PluginModification.

  Parameters:
    `residue` - the id of residue

### getResidue

    public java.lang.String getResidue()

  Returns:
    the id of residue of this PluginModification.

### setState

    public void setState(java.lang.String state)

  Sets the state of this PluginModification to the given string. The state is one of the following fields of this PluginModification: STATE_PHOSPHORYLATED, STATE_ACETYLATED, STATE_UBIQUITINATED, STATE_METHYLATED, STATE_HYDROXYLATED, STATE_EMPTY, STATE_DONT_CARE, STATE_UNKNOWN, STATE_HISTON1 and STATE_HISTON2

  Parameters:
    `state` -

### getState

    public java.lang.String getState()

  Returns:
    state See setState.

### getLabel

    public java.lang.String getLabel()

  Gets the text of label for the state

  Returns:
    the text of label.

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD